I686-w64-mingw32-ocamlmklib

I686-w64-mingw32-ocamlmklib

i686-w64-mingw32-ocamlmklib

OCaml cross-compiler based on mingw — 32 bit compiler

Maintainer: Debian OCaml Maintainers


Section: ocaml

Install i686-w64-mingw32-ocamlmklib

  • Debian apt-get install ocaml-mingw-w64-i686 Click to copy
  • Ubuntu apt-get install ocaml-mingw-w64-i686 Click to copy
  • Kali Linux apt-get install ocaml-mingw-w64-i686 Click to copy

ocaml-mingw-w64-i686

OCaml cross-compiler based on mingw -- 32 bit compiler

Objective Caml (OCaml) is an implementation of the ML language, based on the Caml Light dialect extended with a complete class-based object system and a powerful module system in the style of Standard ML. OCaml comprises two compilers. One generates bytecode which is then interpreted by a C program. This compiler runs quickly, generates compact code with moderate memory requirements, and is portable to essentially any 32 or 64 bit Unix platform. Performance of generated programs is quite good for a bytecoded implementation: almost twice as fast as Caml Light 0.7. This compiler can be used either as a standalone, batch-oriented compiler that produces standalone programs, or as an interactive, toplevel-based system. The other compiler generates high-performance native code for a number of processors. Compilation takes longer and generates bigger code, but the generated programs deliver excellent performance, while retaining the moderate memory requirements of the bytecode compiler. It is not available on all arches though. This package contains everything needed to build OCaml code targeted to be executed under 32 bit windows.

mingw-ocaml

ocaml-mingw-w64 transitional dummy package

This is a transitional dummy package to install ocaml-mingw-w64. It can safely be removed.

Installation of latest i686-w64-mingw32-ocamlmklib command is available for Debian, Ubuntu and Kali. You can copy the command for your OS from above and paste it into your terminal. Once you run the command it will download the 2024 latest package from the repository and install it in your computer/server.